com.h3c.of.sw

## Enum CommandType

- java.lang.Object
- - java.lang.Enum<CommandType>
  - - com.h3c.of.sw.CommandType

- All Implemented Interfaces:
    Serializable, Comparable<CommandType>

      public enum CommandType
      extends Enum<CommandType>

  Scenario command types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTIVATE` Activate a switch (connect to the controller).
    `DEACTIVATE` Deactivate a switch (disconnect from the controller).
    `DELAY` Introduce a delay in the scenario.
    `ECHO_REQUEST` Send an EchoRequest message to the controller.
    `FLOW_REMOVED` Send a FlowRemoved message to the controller.
    `HELLO_SUCCESS` Wait until HELLO negotiation has completed successfully.
    `PACKET_IN` Send a PacketIn message to the controller.
    `PORT_STATUS` Send a PortStatus message to the controller.
    `SUSPEND` Suspend the scenario.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CommandType` | `get(String name)` Returns the type constant that matches the given camel-case name.
    `static CommandType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CommandType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACTIVATE

          public static final CommandType ACTIVATE

      Activate a switch (connect to the controller).

    - #### DEACTIVATE

          public static final CommandType DEACTIVATE

      Deactivate a switch (disconnect from the controller).

    - #### HELLO_SUCCESS

          public static final CommandType HELLO_SUCCESS

      Wait until HELLO negotiation has completed successfully.

    - #### DELAY

          public static final CommandType DELAY

      Introduce a delay in the scenario.

    - #### SUSPEND

          public static final CommandType SUSPEND

      Suspend the scenario.

    - #### ECHO_REQUEST

          public static final CommandType ECHO_REQUEST

      Send an EchoRequest message to the controller.

    - #### PORT_STATUS

          public static final CommandType PORT_STATUS

      Send a PortStatus message to the controller.

    - #### FLOW_REMOVED

          public static final CommandType FLOW_REMOVED

      Send a FlowRemoved message to the controller.

    - #### PACKET_IN

          public static final CommandType PACKET_IN

      Send a PacketIn message to the controller.

  - ### Method Detail

    - #### values

          public static CommandType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CommandType c : CommandType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CommandType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### get

          public static CommandType get(String name)

      Returns the type constant that matches the given camel-case name. If there is no match, null is returned.
      Parameters:
        `name` - the name to match
      Returns:
        the corresponding constant

Copyright © 2014. All Rights Reserved.